
module.exports = async function(req, res, next){
    require('./isAuthorized')(req,res,function(){
        if(!req.ENSEIGNANT){
            return res.status(401).json({
                code: 'AUTH_ENSEIGNANT_INVALID',
                message: 'Invalid ENSEIGNANT Token!'
            });
        }
        next()
    })
}
